html, body {
    height: 90%;
    margin: 0;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f8f9fa; /* Optional: add a background color */
}

.login-container {
    width: 400px;
    margin: auto;
    background-color: #ffffff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    position: relative;
}

.login-header {
    color: #67746f; /* Same color as provided */
    text-align: center;
    margin-bottom: 20px;
}

.error-message {
    color: white; /* White text color for visibility */
    background-color: red; /* Red background color for error message */
    padding: 10px;
    border-radius: 8px;
    width: 100%; /* Width of the form minus padding */
    text-align: center;
    position: absolute;
    top: 98%; /* Position below the bottom of the form */
    left: 50%;
    transform: translateX(-50%);
    border-bottom-left-radius: 8px; /* Rounded edges at the top */
    border-bottom-right-radius: 8px; /* Rounded edges at the top */
    border-top-left-radius: 0; /* Sharp edges at the bottom */
    border-top-right-radius: 0; /* Sharp edges at the bottom */
}

.login-form {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.form-input {
    margin-bottom: 10px;
    padding: 10px;
    border: 1px solid #ced4da;
    border-radius: 4px;
    font-size: 16px;
    width: 100%;
  }

.submit-button {
    background-color: #67746f; /* Same color as provided */
    color: #ffffff; /* White text color for visibility */
    border: none;
    border-radius: 4px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    width: 100%;
}

.submit-button:hover {
    background-color: #404644; /* Darker shade for hover effect */
}

.homepage-image {
    max-height: 50px; /* Limiting the height of the logo image */
    display: block; /* Ensures the image behaves like a block element */
    margin-bottom: 20px; /* Adds some space below the logo */
}
